Name: OpenOpt
Version: 0.23
Release: alt1.svn20090420
Summary: Numerical optimization framework
License: BSD
Group: Sciences/Mathematics
Url: http://openopt.org/
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

# svn co svn://openopt.org/OOPy OpenOpt
Source: %name-%version.tar.bz2

Requires: python-module-openopt = %version-%release

BuildRequires(pre): rpm-build-compat rpm-build-python
BuildPreReq: python-devel = %__python_version
BuildPreReq: python-module-numpy python-module-setuptools
BuildPreReq: python-module-matplotlib
BuildPreReq: libglpk-devel

%description
OpenOpt is a free optimization framework that was created in June of 2007. It is
a relatively new project that is currently developed in the optimization
department of the Cybernetics Institute at the Ukrainian National Academy of
Sciences, in collaboration with the SciPy development team. OpenOpt interfaces
with many different algorithms for solving optimization problems (solvers), some
of which are written in C or Fortran.

%package -n python-module-openopt
Summary: Python module of OpenOpt
Group: Development/Python
%py_provides openopt cvxopt pswarm_py toms_587
%py_provides pyipopt pywrapper
Requires: %name = %version-%release
Requires: python = %__python_version
Requires: libglpk-devel
%ifarch %ix86
Requires: python-module-scipy
%endif
%py_requires numpy setuptools matplotlib
%add_python_req_skip scipy

%description -n python-module-openopt
OpenOpt is a free optimization framework that was created in June of 2007. It is
a relatively new project that is currently developed in the optimization
department of the Cybernetics Institute at the Ukrainian National Academy of
Sciences, in collaboration with the SciPy development team. OpenOpt interfaces
with many different algorithms for solving optimization problems (solvers), some
of which are written in C or Fortran.

This package contains python module of OpenOpt.

%prep
%setup

%build
%python_build

%install
CFLAGS="%optflags" %python_install --optimize=2
%ifarch x86_64
install -d %buildroot%python_sitelibdir
mv %buildroot%prefix/lib/python%__python_version/site-packages/* \
	%buildroot%python_sitelibdir/
%endif
install -m644 openopt/examples/*.py %buildroot%python_sitelibdir/openopt

%files
%doc ChangeLog.txt COPYING.txt README.txt

%files -n python-module-openopt
%python_sitelibdir/*

# TODO: GUI for OpenOpt

%changelog
* Mon Apr 20 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.23-alt1.svn20090420
- Version 0.23

* Sun Apr 19 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.21-alt1
- Initial build for Sisyphus
